php-doctrine-data-fixtures (2.2.0-1ubuntu1) resolute; urgency=medium

  * d/p/remove-deprecated-set-accessible.patch: remove deprecated call to setAccessible

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 16 Feb 2026 16:24:55 -0300

php-doctrine-data-fixtures (2.2.0-1) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released

  [ Maxcastel ]
  * feat(executor): add DryRunORMExecutor class for dry-run support

  [ Artem Lopata ]
  * Remove usage of deprecated method.

  [ Grégoire Paris ]
  * Upgrade to PHPUnit 12

  [ Jacob Dreesen ]
  * Fix typo in ReferenceRepository PHPDoc

  [ David Prévot ]
  * Drop patch not needed anymore
  * Remove Rules-Requires-Root
  * debian/control: Document nocheck flag
  * phpunit: use --bootstrap

 -- David Prévot <taffit@debian.org>  Sat, 18 Oct 2025 10:35:00 +0200

php-doctrine-data-fixtures (2.1.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Jérôme Tamarelle ]
  * Add purge mode to MongoDB Purger

 -- David Prévot <taffit@debian.org>  Tue, 05 Aug 2025 07:45:40 +0200

php-doctrine-data-fixtures (2.0.3-1) unstable; urgency=medium

  [ Óscar Vítores ]
  * Fix error when use numeric for reference name

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Mon, 30 Jun 2025 13:51:44 +0200

php-doctrine-data-fixtures (2.0.2-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (12)
  * Drop now useless php-doctrine-annotations build-dependency
  * Drop now useless php-phpspec-prophecy build-dependency

 -- David Prévot <taffit@debian.org>  Thu, 13 Feb 2025 08:53:16 +0100

php-doctrine-data-fixtures (2.0.2-1) unstable; urgency=medium

  [ Alexandr Vronskiy ]
  * Allow persistence v4 (#518)

 -- David Prévot <taffit@debian.org>  Wed, 22 Jan 2025 08:03:49 +0100

php-doctrine-data-fixtures (2.0.1-2) unstable; urgency=medium

  * Use php-fig-log-test for tests

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 11:50:10 +0100

php-doctrine-data-fixtures (2.0.1-1) unstable; urgency=medium

  * Upload to unstable now that symfony is ready

  [ Grégoire Paris ]
  * Relax type of identifiers

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 08:28:45 +0100

php-doctrine-data-fixtures (2.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Alexander M. Turek ]
  * Drop support for PHP 7 (#461)
  * Remove callable loggers (#471)
  * Remove usage of Doctrine annotations (#469)

  [ Vincent Langlet ]
  * Make the class parameter mandatory for references (#464)

  [ Jérôme Tamarelle ]
  * Add return types on public classes and interfaces (#459)
  * Convert `@final` to hard final

  [ Grégoire Paris ]
  * Ensure 2.0.x is deprecation-free
  * Ensure the codebase is totally typed

  [ David Prévot ]
  * Revert "Track v1 for now (Trixie?)"
  * Update build-dependencies
  * Revert "Force system dependencies loading"
  * Simplify autoload at build time
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Fri, 15 Nov 2024 10:58:37 +0100

php-doctrine-data-fixtures (1.8.0-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Deprecate callable loggers (#462)

  [ Jérôme Tamarelle ]
  * Make Executor and Purger classes final

  [ Grégoire Paris ]
  * Acknowledge the existence of 2.0.x

  [ David Prévot ]
  * Track v1 for now (Trixie?)

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2024 17:28:12 +0100

php-doctrine-data-fixtures (1.7.0-2) unstable; urgency=medium

  * Force system dependencies loading
  * Fix typo in previous changelog entry
  * Upload to unstable since Symfony 6 is now there

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 14:14:45 +0100

php-doctrine-data-fixtures (1.7.0-1) experimental; urgency=medium

  Upload to experimental due to symfony 6 build-dependency

  [ Grégoire Paris ]
  * Drop support for doctrine/persistence 1

  [ Alexander M. Turek ]
  * Drop support for DBAL 2 (#451)
  * Support DBAL 4 and ORM 3 (#452)

  [ Alexander Dmitryuk ]
  * Speedup ORMPurger (#411)

  [ David Prévot ]
  * Let phpab be tolerant for tests
  * Use php-symfony-var-exporter (>= 6) for tests
  * Drop ${phpcomposer:Debian-conflict} due to #765899

 -- David Prévot <taffit@debian.org>  Sat, 25 Nov 2023 09:44:09 +0100

php-doctrine-data-fixtures (1.6.7-1) unstable; urgency=medium

  [ Jeroen Thora ]
  * Replace usage of deprecated LifecycleEventArgs method

  [ Michael Babker ]
  * Replace call to deprecated `LifecycleEventArgs::getEntityManager()`

 -- David Prévot <taffit@debian.org>  Fri, 25 Aug 2023 13:09:37 +0200

php-doctrine-data-fixtures (1.6.6-1) unstable; urgency=medium

  [ stollr ]
  * Fix issue when fixture depends on ordered fixture

 -- David Prévot <taffit@debian.org>  Sat, 22 Apr 2023 18:08:45 +0200

php-doctrine-data-fixtures (1.6.5-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Use a shallower tree

  [ Alexander M. Turek ]
  * doctrine/deprecations is a mandatory dependency (#437)

  [ David Prévot ]
  * Add php-doctrine-deprecations dependency
  * Adapt packaging to new usptream layout

 -- David Prévot <taffit@debian.org>  Mon, 03 Apr 2023 19:40:50 +0200

php-doctrine-data-fixtures (1.6.3-1) unstable; urgency=medium

  [ Vincent Langlet ]
  * Rely on object manager proxy resolution

 -- David Prévot <taffit@debian.org>  Tue, 10 Jan 2023 07:17:54 +0100

php-doctrine-data-fixtures (1.6.2-1) unstable; urgency=medium

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign

  [ Grégoire Paris ]
  * Use a more accurate type

 -- David Prévot <taffit@debian.org>  Fri, 06 Jan 2023 08:22:40 +0100

php-doctrine-data-fixtures (1.6.1-1) unstable; urgency=medium

  [ Marc Brillault ]
  * Normalize UPGRADE file to UPGRADE.md
  * Removed doctrine/common from dependencies

  [ David Prévot ]
  * UPGRADE was renamed as UPGRADE.md
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Sat, 24 Dec 2022 11:43:50 +0100

php-doctrine-data-fixtures (1.5.3-2) unstable; urgency=medium

  * Use php-phpspec-prophecy for tests

 -- David Prévot <taffit@debian.org>  Sun, 28 Aug 2022 13:38:45 +0200

php-doctrine-data-fixtures (1.5.3-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Rewrite the docs in ReStructuredText
  * Link to docs on the website

  [ Alexander M. Turek ]
  * Indicate support for persistence 3 (#387)

  [ David Prévot ]
  * Drop d/pkg-php-tools-autoloaders entry
  * Update Standards-Version to 4.6.1
  * Install new upstream documentation

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 12:32:32 +0200

php-doctrine-data-fixtures (1.5.2-1) unstable; urgency=medium

  [ Remi Collet ]
  * skip test using setFilterSchemaAssetsExpression removed in DBAL3 (#370)

  [ Grégoire Paris ]
  * Add explicit dependency to symfony/cache
  * Reflect changes in doctrine/common in the baseline

  [ Benjamin Cremer ]
  * Add conflict for doctrine/dbal <2.13

  [ David Prévot ]
  * Drop patch applied upstream

 -- David Prévot <taffit@debian.org>  Mon, 24 Jan 2022 09:34:05 -0400

php-doctrine-data-fixtures (1.5.1-3) unstable; urgency=medium

  * Use php-doctrine-annotations for tests

 -- David Prévot <taffit@debian.org>  Wed, 12 Jan 2022 09:27:06 -0400

php-doctrine-data-fixtures (1.5.1-2) unstable; urgency=medium

  * Skip test using setFilterSchemaAssetsExpression removed in DBAL3
  * Use php-symfony-cache for the tests

 -- David Prévot <taffit@debian.org>  Thu, 25 Nov 2021 08:01:52 -0400

php-doctrine-data-fixtures (1.5.1-1) unstable; urgency=medium

  [ Nic Wortel ]
  * Upgrade to PHPUnit 8
  * Test against PHP 8.0

  [ Grégoire Paris ]
  * Remove the CHANGELOG

  [ William Arin ]
  * Fix DBAL 3 compatibility

  [ David Prévot ]
  * Simplify gbp import-orig (and check signature)
  * Don’t install changelog dropped upstream
  * Install dh-sequence-* instead of using dh --with
  * Generate phpabtpl at build time
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 11 Oct 2021 16:39:19 -0400

php-doctrine-data-fixtures (1.5.0-1) unstable; urgency=medium

  * Update gbp import-orig workflow
  * New upstream version 1.5.0
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Wed, 27 Jan 2021 03:39:18 -0400

php-doctrine-data-fixtures (1.4.4-1) unstable; urgency=medium

  [ Kevin ]
  * Allows both doctrine/common 3.x & doctrine/persistence 2.x

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Fri, 04 Sep 2020 11:30:03 -0400

php-doctrine-data-fixtures (1.4.3-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Allow PHP 8

  [ David Prévot ]
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 08:27:15 -1000

php-doctrine-data-fixtures (1.4.2-1) unstable; urgency=medium

  [ Stephen Lewis ]
  * Fix ORMPurger generating table names with unnecessary quotes

  [ David Prévot ]
  * d/control:
    + Drop versioned dependency satisfied in (old)stable
    + Drop Breaks now that versioned dependencies are in place
    + Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Thu, 23 Jan 2020 01:59:25 -1000

php-doctrine-data-fixtures (1.4.1-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Address deprecations from persistence

  [ David Prévot ]
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Compatibility with recent PHPUnit (8)

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2020 21:18:13 -1000

php-doctrine-data-fixtures (1.4.0-2) unstable; urgency=medium

  * Update expectation to recent Doctrine (ORM)

 -- David Prévot <taffit@debian.org>  Sun, 22 Dec 2019 08:17:55 +1100

php-doctrine-data-fixtures (1.4.0-1) unstable; urgency=medium

  * Update homemade autoload

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2019 17:36:48 -1000

php-doctrine-data-fixtures (1.3.3-1) unstable; urgency=medium

  [ Andreas Braun ]
  * Drop phpcr-odm from testing

  [ David Prévot ]
  * Update gbp import-ref usage
  * Drop patch not needed anymore
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- David Prévot <taffit@debian.org>  Sun, 10 Nov 2019 18:28:07 -1000

php-doctrine-data-fixtures (1.3.2-1) unstable; urgency=medium

  * Upload to unstable now that php 7.2 is the default version

  [ Gabriel Caruso ]
  * Use PHPUnit 7

  [ David Prévot ]
  * Move project repository to salsa.d.o
  * Use debian/clean for directories
  * Drop get-orig-source target
  * Use debhelper-compat 12
  * Document gbp import-ref usage
  * Use https in debian/
  * Drop failing tests without PHPCRExecutor
  * Update Standards-Version to 4.4.0

 -- David Prévot <taffit@debian.org>  Thu, 18 Jul 2019 10:50:52 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog php-doctrine-data-fixtures`.
